//
#ifndef Define_h
#define Define_h
//
#include <Arduino.h>
//
//----------------------
//  Constant
//----------------------
#define SerialPC Serial
//
const int PIN_SPIL_SS = 5;
//
const int SIZE_BUFFER = 64;
const int SIZE_LINE = 64;
//
//----------------------
//  Type
//----------------------
typedef void (*TMessage)(const char* message);
typedef void (*TError)(const char* error);
//
//----------------------
//  Global
//----------------------
void _MessageT(const char* token);
void _Message(const char* message);
void _Error(const char* error);
//
#endif // Define_h
//